---
import MainLayout from "../layouts/MainLayout.astro";
import { t, changeLanguage } from "i18next";
import { Trans } from "astro-i18next/components";

changeLanguage("en");
---

<MainLayout title="About" description="My About Page">
  <section class="about">
    <Trans i18nKey="welcome">
      Welcome <span class="text-gradient">Astro</span>
    </Trans>
      <svg width="291px" height="260px" viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg">
    <path d="M328 544h152v152c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V544h152c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H544V328c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v152H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"></path>
    <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
      <path d="M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z" id="Path" stroke="#973797" stroke-width="10"></path>
    </g>
  </svg>
    <p>
      {t("about.text")}
    </p>
  </section>
</MainLayout>

